summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/ipfw
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/ipfw')
-rwxr-xr-xetc/rc.d/ipfw8
1 files changed, 4 insertions, 4 deletions
diff --git a/etc/rc.d/ipfw b/etc/rc.d/ipfw
index 3818bfc..4beb609 100755
--- a/etc/rc.d/ipfw
+++ b/etc/rc.d/ipfw
@@ -73,11 +73,11 @@ ipfw_poststart()
# Enable the firewall
#
- if ! ${SYSCTL_W} net.inet.ip.fw.enable=1 1>/dev/null 2>&1; then
+ if ! ${SYSCTL} net.inet.ip.fw.enable=1 1>/dev/null 2>&1; then
warn "failed to enable IPv4 firewall"
fi
if afexists inet6; then
- if ! ${SYSCTL_W} net.inet6.ip6.fw.enable=1 1>/dev/null 2>&1
+ if ! ${SYSCTL} net.inet6.ip6.fw.enable=1 1>/dev/null 2>&1
then
warn "failed to enable IPv6 firewall"
fi
@@ -90,9 +90,9 @@ ipfw_stop()
# Disable the firewall
#
- ${SYSCTL_W} net.inet.ip.fw.enable=0
+ ${SYSCTL} net.inet.ip.fw.enable=0
if afexists inet6; then
- ${SYSCTL_W} net.inet6.ip6.fw.enable=0
+ ${SYSCTL} net.inet6.ip6.fw.enable=0
fi
# Stop firewall coscripts
OpenPOWER on IntegriCloud